Name:           tbe
Version:        0.9.3.1
Release:        %mkrel 8
Summary:        The Butterfly Effect is a physics-based puzzle game
Group:          Games/Puzzles
License:        GPLv2
URL:            http://the-butterfly-effect.org
Source0:        https://github.com/the-butterfly-effect/tbe/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.9.3.1-mga-i18n-update.patch
Patch1:         %{name}-0.9.3.1-mga-last-level.patch
Patch2:         %{name}-0.9.3.1-mga-description.patch
Patch3:         alt-qt5.15.9.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
Provides:       thebutterflyeffect = %{version}-%{release}

%description
The Butterfly Effect uses realistic physics simulations to combine
lots of simple mechanical elements to achieve a simple goal in the
most complex way possible.

%prep
%autosetup -p1

%build
%cmake -DWITH_DOCS=OFF \
       -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS DESCRIPTION README.md installer/License imagery/README.*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Oct 25 2024 daviddavid <daviddavid> 0.9.3.1-8.mga10
+ Revision: 2111163
- add patch to fix build with current Qt5

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3.1-7.mga9
+ Revision: 1843369
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.9.3.1-6.mga8
+ Revision: 1659963
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.9.3.1-5.mga8
+ Revision: 1525058
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 0.9.3.1-4.mga7
+ Revision: 1384976
- Qt5 Rebuild

* Mon Sep 24 2018 alexl <alexl> 0.9.3.1-3.mga7
+ Revision: 1302649
- do not run tbe_levels_i18n.sh when pkg is building, cause i18n was implemented by code directly
- fix number of levels in description file
- update translations from transifex
- fix level order for the latest level
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Jun 01 2016 akien <akien> 0.9.3.1-1.mga6
+ Revision: 1019661
- Version 0.9.3.1
  o Now built using Qt5

* Fri May 13 2016 daviddavid <daviddavid> 0.9.2.1-3.mga6
+ Revision: 1015002
- add a patch to fix build due to missing include vector header
+ tv <tv>
- use std macros for building

* Wed Feb 17 2016 umeabot <umeabot> 0.9.2.1-2.mga6
+ Revision: 963003
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 alexl <alexl> 0.9.2.1-1.mga6
+ Revision: 896053
- version 0.9.2.1
- new spec file
- del upstreamed patches
+ akien <akien>
- imported package tbe

